export const SYSTEM_ID = "fvtt-te-deum";

export const __BONUS_DEGATS = [{}, { label: "1d4", value: -2 }, { label: "1d6", value: -1 }, { label: "1d8", value: 0 },
{ label: "1d10", value: 1 }, { label: "1d12", value: 2 }, { label: "1d20", value: 3 }]
export const __MAX_ARMURES_LOURDES = [{}, { value: 1 }, { value: 3 }, { value: 5 },
{ value: 7 }, { value: 9 }, { value: 11 }]
export const __EFFORT = [{}, { value: 1 }, { value: 2 }, { value: 3 },
  { value: 4 }, { value: 5 }, { value: 6 }]
export const __ACTIONS_PAR_TOUR = [{}, { value: 1 }, { value: 2 }, { value: 2 },
    { value: 3 }, { value: 3 }, { value: 4 }]
export const __COUT_XP = [{}, { value: 10 }, { value: 10 }, { value: 10 },
      { value: 10 }, { value: 30 }, { value: 50 }]
    
export const LOCALISATION = {
  "pieddroit": { label: "Pied Droit", value: 1, id: "pieddroit", nbArmure: 1 },
  "jambedroite": { label: "Jambe Droite", value: 1, id: "jambedroite", nbArmure: 1 },
  "jambegauche": { label: "Jambe Gauche", value: 1, id: "jambegauche", nbArmure: 1 },
  "piedgauche": { label: "Pied Gauche", value: 1, id: "piedgauche", nbArmure: 1 },
  "piedgauche": { label: "Pied Gauche", value: 1, id: "piedgauche", nbArmure: 1 },
  "maindroite": { label: "Main Droite", value: 1, id: "maindroite", nbArmure: 1 },
  "maingauche": { label: "Main Gauche", value: 1, id: "maingauche", nbArmure: 1 },
  "brasdroit": { label: "Bras Droit", value: 1, id: "brasdroit", nbArmure: 2 },
  "brasgauche": { label: "Bras Gauche", value: 1, id: "brasgauche", nbArmure: 2 },
  "corps": { label: "Corps", value: 1, id: "corps", nbArmure: 2 },
  "tete": { label: "Tête", value: 1, id: "tete", nbArmure: 2 },
}

export const ARME_SPECIFICITE = {
  "encombrante": { label: "Encombrante", id: "encombrante" },
  "maintiendistance": { label: "Maintien à distance", id: "maintiendistance" },
  "treslongue": { label: "Très longue", id: "treslongue" },
  "coupassomant": { label: "Coup assomant", id: "coupassomant" },
  "peutlancer": { label: "Peut être lancée", id: "peutlancer" },
}

export const TEDEUM_CONFIG = {
  descriptionValeur: {
    1: { qualite: "Mauvais", dice: "d4", negativeDice: "d20", savoir: "Sot", sensibilite: "Obtus", entregent: "Rustaud", puissance: "Menu", complexion: "Anémique", adresse: "Empesé" },
    2: { qualite: "Médiocre", dice: "d6", negativeDice: "d12", savoir: "Limité", sensibilite: "Etriqué", entregent: "Frustre", puissance: "Délicat", complexion: "Languide", adresse: "Gauche" },
    3: { qualite: "Correct", dice: "d8", negativeDice: "d10", savoir: "Mêlé", sensibilite: "Ouvert", entregent: "Badin", puissance: "Membru", complexion: "Dispos", adresse: "Ingambe" },
    4: { qualite: "Bon", dice: "d10", negativeDice: "d8", savoir: "Lettré", sensibilite: "Fin", entregent: "Disert", puissance: "Vigoureux", complexion: "Gaillard", adresse: "Leste" },
    5: { qualite: "Bon", dice: "d10", negativeDice: "d8", savoir: "Lettré", sensibilite: "Fin", entregent: "Disert", puissance: "Vigoureux", complexion: "Gaillard", adresse: "Leste" },
    6: { qualite: "Bon", dice: "d10", negativeDice: "d8", savoir: "Lettré", sensibilite: "Fin", entregent: "Disert", puissance: "Vigoureux", complexion: "Gaillard", adresse: "Leste" },
    7: { qualite: "Excellent", dice: "d12", negativeDice: "d6", savoir: "Docte", sensibilite: "Subtil", entregent: "Galant", puissance: "Musculeux", complexion: "Sanguin", adresse: "Preste" },
    8: { qualite: "Excellent", dice: "d12", negativeDice: "d6", savoir: "Docte", sensibilite: "Subtil", entregent: "Galant", puissance: "Musculeux", complexion: "Sanguin", adresse: "Preste" },
    9: { qualite: "Excellent", dice: "d12", negativeDice: "d6", savoir: "Docte", sensibilite: "Subtil", entregent: "Galant", puissance: "Musculeux", complexion: "Sanguin", adresse: "Preste" },
    10: { qualite: "Excellent", dice: "d12", negativeDice: "d6", savoir: "Docte", sensibilite: "Subtil", entregent: "Galant", puissance: "Musculeux", complexion: "Sanguin", adresse: "Preste" },
    11: { qualite: "Excellent", dice: "d12", negativeDice: "d6", savoir: "Docte", sensibilite: "Subtil", entregent: "Galant", puissance: "Musculeux", complexion: "Sanguin", adresse: "Preste" },
    12: { qualite: "Admirabme", dice: "d20", negativeDice: "d4", savoir: "Humaniste", sensibilite: "Spirituel", entregent: "Sémillant", puissance: "Hercule", complexion: "Aguerri", adresse: "Alerte" },
  },
  caracteristiques: {
    savoir: { id: "savoir", value: 1, label: "Savoir" },
    sensibilite: { id: "sensibilite", value: 1, label: "Sensibilité" },
    entregent: { id: "entregent", value: 1, label: "Entregent" },
    complexion: { id: "complexion", value: 1, label: "Complexion" },
    puissance: { id: "puissance", value: 1, label: "Puissance" },
    adresse: { id: "adresse", value: 1, label: "Adresse" },
  },
  providence: [
    {labelM: "Brebis égarée", labelF: "Brebis égarée",value: 0, diceValue: "0"},
    {labelM: "Pauvre pêcheur", labelF: "Pauvre pêcheresse",value: 1, diceValue: "d4"},
    {labelM: "Fils prodigue", labelF: "Fille prodigue",value: 2, diceValue: "d6"},
    {labelM: "Bon samaritain", labelF: "Bon samaritain",value: 3, diceValue: "d8"},
    {labelM: "Animé par la grâce", labelF: "Animée par la grâce",value: 4, diceValue: "d10"},
    {labelM: "Oint du Seigneur", labelF: "Ointe du Seigneur",value: 5, diceValue: "d12"},
    {labelM: "Dans la main de Dieu", labelF: "Dans la main de Dieu",value: 6, diceValue: "d20"},
  ],
  localisation: {
    1: LOCALISATION.pieddroit,
    2: LOCALISATION.piedgauche,
    3: LOCALISATION.jambedroite,
    4: LOCALISATION.jambedroite,
    5: LOCALISATION.jambegauche,
    6: LOCALISATION.jambegauche,
    7: LOCALISATION.maindroite,
    8: LOCALISATION.maingauche,
    9: LOCALISATION.brasdroit,
    10: LOCALISATION.brasdroit,
    11: LOCALISATION.brasgauche,
    12: LOCALISATION.brasgauche,
    13: LOCALISATION.corps,
    14: LOCALISATION.corps,
    15: LOCALISATION.corps,
    16: LOCALISATION.corps,
    17: LOCALISATION.corps,
    18: LOCALISATION.tete,
    19: LOCALISATION.tete,
    20: LOCALISATION.tete
  },
  armeTypes: {
    "melee": { label: "Mêlée", value: "melee" },
    "tir": { label: "Tir", value: "tir" }
  },
    difficulte: {
    routine: { label: "Routine", value: 3 },
    facile: { label: "Facile", value: 5 },
    pardefaut: { label: "Par Défaut", value: 7 },
    malaise: { label: "Malaisé", value: 9 },
    difficile: { label: "difficile", value: 11 },
    perilleux: { label: "Perilleux", value: 13 },
    desespere: { label: "Désespéré", value: 15 }
  },
  monnaie: {
    denier: { label: "Deniers", value: 1 },
    sol: { label: "Sols", value: 10 },
    livre: { label: "Livres", value: 100 }
  }
}