export  class TeDeumArmeSchema extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    const requiredInteger = { required: true, nullable: false, integer: true };
    const schema = {};

    schema.typeArme = new fields.StringField({required: true, choices: ["melee", "tir"], initial: "melee"});

    schema.specificites = new fields.SchemaField(
      Object.values((game.system.tedeum.ARME_SPECIFICITE)).reduce((obj, spec) => {
        obj[spec.id] = new fields.SchemaField({
          hasSpec: new fields.BooleanField({initial: false}),
        });
        return obj;
      }, {})
    );
    
    schema.degatsArmure = new fields.SchemaField( {
      sansarmure : new fields.NumberField({ ...requiredInteger, initial: 0, min: 0 }),
      cuir : new fields.NumberField({ ...requiredInteger, initial: 0, min: 0 }),
      plates : new fields.NumberField({ ...requiredInteger, initial: 0, min: 0 }),
      mailles : new fields.NumberField({ ...requiredInteger, initial: 0, min: 0 }),
    });

    schema.initiativeBonus = new fields.NumberField({ ...requiredInteger, initial: 0, min: 0 });

    schema.degats = new fields.StringField({ required: false, blank: true, initial: undefined });
    schema.description = new fields.HTMLField({ required: true, blank: true });

    return schema;
  }
}
