export class TeDeumArmureSchema extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    const requiredInteger = { required: true, nullable: false, integer: true };
    const schema = {};

    schema.localisation = new fields.SchemaField(
      Object.values(LOCALISATION).reduce((obj, loc) => {
        obj[loc.id] = new fields.SchemaField({
          protege: new fields.BooleanField({initial: false}),         
        });
        return obj;
      }, {})
    );
    
    schema.protection = new fields.NumberField({ ...requiredInteger, initial: 0, min: 0 });

    schema.description = new fields.HTMLField({ required: true, blank: true });

    return schema;
  }
}
